<template>
  <div class="block-modal">
    <div class="modal-card">
      <h2 class="pb-5 text-center"><slot></slot></h2>
      <div class="flex justify-around">
        <button class="ada-button" @click="okAction">{{ $t('modalProjectHistory.yes') }}</button>
        <button class="ada-button" @click="cancelAction">{{ $t('modalProjectHistory.no') }}</button>
      </div>
      <div class="overlay" @click="cancelAction"></div>  
    </div>
  </div>
</template>

<script>
  export default {
    name: 'ModalProjectHistory',
    props: ['okAction', 'cancelAction']
  }
</script>

<style lang="postcss" scoped>
.block-modal {
  @apply fixed top-0 bottom-0 left-0 right-0;
  @apply flex justify-center items-center;
}

.modal-card {
  @apply p-5;
  @apply rounded;
  @apply bg-gray-200 text-gray-700;
  @apply dark:bg-gray-700 dark:text-gray-200;
}
</style>
